if ~exist('small'), small=false;end
Lfun={@(X,Y) mtimes(X,Y), @(X,Y) X*Y, @(X,Y) fc_bench.demos.matprod01(X,Y) };
names={'mtimes(X,Y)','X*Y',''};
Comment={'# benchmarking functions:' ...
         '#     A1=mtimes(X,Y) (reference)', ...
         '#     A2= X*Y', ...
         '#     A3= fc_bench.demos.matprod02(X,Y)', ...
         '# where X and Y are m-by-m matrices', ...
         '# Error[1] is the norm(A1-A2,Inf)', ...
         '# Error[2] is the norm(A1-A3,Inf)'};
error=@(o1,o2) norm(o1-o2,Inf);
setfun=@(varargin) fc_bench.demos.setMatProd03(varargin{:});
if small 
  LN=[ 100,50,100; 150,50,100; 200,50,100; 150,100,300 ]/5;
else 
  LN=[ 100,50,100; 150,50,100; 200,50,100; 150,100,300 ];
end
fc_bench.bench(Lfun, setfun, 'LN',LN, 'lcomplex',true, 'rclass','single', ...
   'comment',Comment, 'names',names, 'error',error, 'info',false);
